--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Discover services for a given URI. Please note that no normalization will be done to the passed in URI, it should be a textually valid URI string before calling discover.
- !ruby/struct:SM::Flow::P 
  body: Returns nil if no XRDS was found, or a YADIS object on success. This method is essentially the same as YADIS.new, but does not raise any exceptions.
full_name: YADIS::discover
is_singleton: true
name: discover
params: (uri)
visibility: public
